%define name	musique
%define version 1.5
%define release %mkrel 1



Name:           %{name}
Version:	%{version}
Release:	%{release}
License:        GPL-3.0+
Summary:        Qt5 music player
Url:            http://flavio.tordini.org/musique
Group:          Sound
Source:         %{name}-%{version}.tar.xz
#-------------------------------
BuildRequires:  qtcore5-devel
BuildRequires:	qtdbus5-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtnetwork5-devel
BuildRequires:	qtsql5-devel
BuildRequires:	qtwidgets5-devel
BuildRequires:  %{_lib}taglib-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:	desktop-file-utils
#-------------------------------
Requires:	phonon4qt5-vlc
Requires:	qt5-database-plugin-sqlite
Obsoletes:      minitunes < %{version}
Provides:       minitunes = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Musique is a music player designed by and for people that love music. Musique
does its best to stay out the way and keep you focused on the only thing that
really matters: Music. You need to try it to really get it. en first run, just
point Musique to your music folder and let it scan. This will take some time
depending on the size of your library, but it's a one-time operation.

To set expectations right — Musique is not about podcasts or internet radio;
it's not about managing mobile devices and it has no integrated music store.
It's about listening to beautiful music.

%prep
%setup -q
sed -i "s;minitunes;musique;g" musique.desktop

%build
%qmake_qt5 PREFIX=%{_prefix} musique.pro
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

#fix desktop file
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%defattr(-,root,root)
%{_bindir}/musique
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/%{name}


%clean
rm -rf %{buildroot}


%changelog
* Sun Apr 02 2017 adrianomorselli <adrianomorselli> 1.5.0-1uplos2017
- update
